package com.ym.service;

import com.ym.pojo.IMApiResultInfo;
import com.ym.pojo.RecordNotify;

/**
 * @author hgw
 * Created by 2022-02-21
 */
public interface LiveRoomService {

    IMApiResultInfo createLiveRoom(String roomId, String roomName) throws Exception;

    IMApiResultInfo destroyLiveRoom(String roomId) throws Exception;

    /**
    * @description: 开始录制直播
     * @param roomId
    * @return void
    * @author zx
    * @date 2022/2/25 10:00
    */
    void startRecord(String roomId) throws Exception;

    /**
    * @description: 录制状态回调
     * @param recordNotify
    * @return void
    * @author zx
    * @date 2022/2/25 11:49
    */
    void recordSync(RecordNotify recordNotify);
}
