package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentCloudCoachPaymentDetails;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentCloudCoachPaymentDetailsDao extends BaseDAO<Long, StudentCloudCoachPaymentDetails> {


    void batchInsert(@Param("cloudCoachPaymentProgramId") Long cloudCoachPaymentProgramId,
                     @Param("paymentStatus") Integer paymentStatus,
                     @Param("userIds") List<Integer> userIds,
                     @Param("tenantId") Integer tenantId);

    StudentCloudCoachPaymentDetails findByUserId(@Param("paymentId") Long paymentId, @Param("userId") Integer userId);
}