package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantConfigDto;
import com.ym.mec.biz.dal.entity.TenantConfig;

import java.math.BigDecimal;
import java.util.Map;

public interface TenantConfigService extends IService<TenantConfig> {

    void addConfig(TenantConfigDto dto);

    void updateConfig(TenantConfigDto dto);
    
    TenantConfig queryByTenantId(Integer tenantId);

    Map<String, BigDecimal> getRule(Integer tenantId);

    Map<String, BigDecimal> getCloudRoomRule(String config);
}
